compact3
javax.xml.crypto

## Interface XMLStructure

All Known Subinterfaces:
  CanonicalizationMethod, DigestMethod, KeyInfo, KeyName, KeyValue, Manifest, PGPData, Reference, RetrievalMethod, SignatureMethod, SignatureProperties, SignatureProperty, SignedInfo, Transform, X509Data, X509IssuerSerial, XMLObject, XMLSignature, XMLSignature.SignatureValue

All Known Implementing Classes:
  DOMStructure, TransformService

    public interface XMLStructure

A representation of an XML structure from any namespace. The purpose of this interface is to group (and provide type safety for) all representations of XML structures.

Since:
  1.6

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isFeatureSupported(String feature)` Indicates whether a specified feature is supported.

### Method Detail

#### isFeatureSupported

    boolean isFeatureSupported(String feature)

Indicates whether a specified feature is supported.

Parameters:
  `feature` - the feature name (as an absolute URI)
Returns:
  `true` if the specified feature is supported, `false` otherwise
Throws:
  `NullPointerException` - if `feature` is `null`